Перейти к основному содержимому

Read one saved RSVP-TE group operation

POST
/tasks/{id}/rsvp/batch/query

Reads persisted per-member outcomes. No native action or replay occurs during a query.

Контракт

Параметр
Значение
Разделtasks
АвторизацияCookieAuth
Принимаетapplication/json
Возвращаетapplication/json

Параметры

2 параметров

Имя
Где
Обязательный
Тип
Описание
idpathдаintegerCanonical positive task ID
requestbodyдаobjectAgent and operation ID
  • {
      "agent": "<string>",
      "operation-id": "<string>"
    }

Ответы

5 ответов

Статус
Описание
Тип
200
OKobject
400
Invalid requestobject
401
Session requiredobject
404
Task or operation not foundobject
500
Database failureobject
  • {
      "action": "<string>",
      "agent": "<string>",
      "created-at": "<string>",
      "cursor": 0,
      "members": [
        {
          "agent": "<string>",
          "child-operation-id": "<string>",
          "identity": {},
          "mode": "<string>",
          "observed-at": "<string>",
          "phase": "<string>",
          "reason": "<string>",
          "runtime-generation": "<string>",
          "status": "<string>"
        }
      ],
      "operation-id": "<string>",
      "profile-revision": "<string>",
      "resume-of": "<string>",
      "status": "<string>",
      "task-id": 0,
      "terminal": true,
      "updated-at": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }